# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           chainedoptions
Version:        0.9.0
Release:        1%{dist}
Epoch:          0
Summary:        Chained Options

Group:          Development/Libraries/Java
License:        LGPL
URL:            http://chainedoptions.sourceforge.net
Source0:        http://downloads.sourceforge.net/chainedoptions/chainedoptions-buildable-0.9.0.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-nodeps
BuildRequires:  ant-junit
BuildRequires:  junit
BuildRequires:  ivy
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  easymock-classextension
BuildRequires:  easymock-java5
BuildRequires:  gsbase
BuildRequires:  servlet_2_4_api
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
BuildRequires:  spring2-test
BuildRequires:  spring2-web
BuildRequires:  spring2-webmvc

Requires:  java >= 0:1.5.0
Requires:  jakarta-commons-lang
Requires:  spring2-beans

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
Java framework for chained options (listboxes, dropdowns 
etc). Provides functionality so that when the value is 
changed in one listbox, other listboxes change accordingly.
Handles special items like 'Any Value' or 'None Selected'.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -c
for j in $(find modules/lib -name "*.jar"); do
    mv $j $j.no
done

%build
cd build-chainedoptions
export OPT_JAR_LIST="junit ant/ant-junit ant/ant-nodeps ivy"
export CLASSPATH=$(build-classpath \
commons-lang \
commons-logging \
easymock-classextension \
easymock-java5 \
gsbase \
servlet_2_4_api \
spring2/beans \
spring2/context \
spring2/core \
spring2/test \
spring2/web \
spring2/webmvc \
)
CLASSPATH=$CLASSPATH:../chainedoptions/target/classes:../chainedoptions/target/test-classes
CLASSPATH=$CLASSPATH:../chainedoptions-samples/regioncountry/target/classes:../chainedoptions-samples/regioncountry/target/test-classes
ant -Dbuild.sysclasspath=only release

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 chainedoptions/target/dist/jars/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%add_to_maven_depmap net.sf %{name} %{version} JPP %{name}

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr chainedoptions/target/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc %{name}/LICENSE.txt
#%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Jan 06 2009 Ralph Apel <r.apel at r-apel.de> - 0:0.9.0-1.jpp5
- First release
 
